"""empty message

Revision ID: b7ee202d3f1d
Revises: 
Create Date: 2017-12-25 19:31:14.598271

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'b7ee202d3f1d'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('users',
    sa.Column('id', sa.BigInteger(), nullable=False),
    sa.Column('mobile', sa.String(length=13), nullable=False),
    sa.Column('mail', sa.String(), nullable=True),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('address', sa.String(), nullable=True),
    sa.Column('license', sa.String(), nullable=True),
    sa.Column('password', sa.String(), nullable=True),
    sa.Column('u_type', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('license'),
    sa.UniqueConstraint('mail'),
    sa.UniqueConstraint('mobile')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('users')
    # ### end Alembic commands ###
